Subject: [AVT] draft-mcgrew-srtp-big-aes-01 and draft-mcgrew-srtp-aes-gcm-01 as WG items

From: "Roni Even" <[email-masked]>
Date: Tue, 10 Mar 2009 23:20:00 +0200

Hi,

We had a request to accept these two drafts as WG items.

The first draft describes the use of the Advanced Encryption Standard (AES)
with 192 and 256 bit keys within the Secure RTP protocol.  It defines

Counter Mode encryption for SRTP and SRTCP and a new SRTP Key Derivation
Function (KDF) for AES-192 and AES-256.

The second draft defines how AES-GCM, AES-CCM, and other Authenticated
Encryption with Associated Data (AEAD) algorithms, can be used to provide
confidentiality and data authentication mechanisms in the  SRTP protocol.

Please review the drafts and give your feedback to this proposal

Thanks

Roni Even